com.fasterxml.jackson.databind

## Class EnumNamingStrategies

- java.lang.Object
- - com.fasterxml.jackson.databind.EnumNamingStrategies

    public class EnumNamingStrategies
    extends Object

A container class for implementations of the `EnumNamingStrategy` interface.

Since:
  2.15

### Nested Class Summary

Nested Classes
`static class` `EnumNamingStrategies.CamelCaseStrategy` Deprecated. Since 2.19 use `EnumNamingStrategies.LowerCamelCaseStrategy` instead.
`static class` `EnumNamingStrategies.DelegatingEnumNamingStrategy`
`static class` `EnumNamingStrategies.KebabCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to upper camel case format.
`static class` `EnumNamingStrategies.LowerCamelCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to lower camel case format.
`static class` `EnumNamingStrategies.LowerCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to upper camel case format.
`static class` `EnumNamingStrategies.LowerDotCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to lower dot case format.
`static class` `EnumNamingStrategies.SnakeCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to upper camel case format.
`static class` `EnumNamingStrategies.UpperCamelCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to upper camel case format.
`static class` `EnumNamingStrategies.UpperSnakeCaseStrategy` An implementation of `EnumNamingStrategy` that converts enum names in the typical upper snake case format to upper camel case format.

### Field Summary

Fields
`static EnumNamingStrategy` `KEBAB_CASE` Naming convention used in languages like Lisp, where words are in lower-case letters, separated by hyphens.
`static EnumNamingStrategy` `LOWER_CAMEL_CASE` Words other than first are capitalized and no separator is used between words.
`static EnumNamingStrategy` `LOWER_CASE` Naming convention in which all words of the logical name are in lower case, and no separator is used between words.
`static EnumNamingStrategy` `LOWER_DOT_CASE` Naming convention widely used as configuration properties name, where words are in lower-case letters, separated by dots.
`static EnumNamingStrategy` `SNAKE_CASE` Naming convention used in languages like C, where words are in lower-case letters, separated by underscores.
`static EnumNamingStrategy` `UPPER_CAMEL_CASE` Naming convention used in languages like Pascal, where all words are capitalized and no separator is used between words.
`static EnumNamingStrategy` `UPPER_SNAKE_CASE` Naming convention in which the words are in upper-case letters, separated by underscores.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOWER_CAMEL_CASE

    public static final EnumNamingStrategy LOWER_CAMEL_CASE

Words other than first are capitalized and no separator is used between words. See `EnumNamingStrategies.LowerCamelCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "enumName".

Since:
  2.19

#### UPPER_CAMEL_CASE

    public static final EnumNamingStrategy UPPER_CAMEL_CASE

Naming convention used in languages like Pascal, where all words are capitalized and no separator is used between words. See `EnumNamingStrategies.UpperCamelCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "EnumName".

Since:
  2.19

#### SNAKE_CASE

    public static final EnumNamingStrategy SNAKE_CASE

Naming convention used in languages like C, where words are in lower-case letters, separated by underscores. See `EnumNamingStrategies.SnakeCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "enum_name".

Since:
  2.19

#### UPPER_SNAKE_CASE

    public static final EnumNamingStrategy UPPER_SNAKE_CASE

Naming convention in which the words are in upper-case letters, separated by underscores. See `EnumNamingStrategies.UpperSnakeCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "ENUM_NAME", but "__ENUM_NAME_" would also be converted to "ENUM_NAME".

Since:
  2.19

#### LOWER_CASE

    public static final EnumNamingStrategy LOWER_CASE

Naming convention in which all words of the logical name are in lower case, and no separator is used between words. See `EnumNamingStrategies.LowerCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "enumname".

Since:
  2.19

#### KEBAB_CASE

    public static final EnumNamingStrategy KEBAB_CASE

Naming convention used in languages like Lisp, where words are in lower-case letters, separated by hyphens. See `EnumNamingStrategies.KebabCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "enum-name".

Since:
  2.19

#### LOWER_DOT_CASE

    public static final EnumNamingStrategy LOWER_DOT_CASE

Naming convention widely used as configuration properties name, where words are in lower-case letters, separated by dots. See `EnumNamingStrategies.LowerDotCaseStrategy` for details.

Example "ENUM_NAME" would be converted to "enum.name".

Since:
  2.19